local addonName, addonTable = ...

local L = LibStub("AceLocale-3.0"):GetLocale("Spearity")
local CONSTANTS = addonTable.constants

if LE_EXPANSION_LEVEL_CURRENT < LE_EXPANSION_DRAGONFLIGHT then
	return {}
end

local holidayEventToysDragonflight = {
	["Festive Trans-Dimensional Bird Whistle"] = {
		cat = CONSTANTS.ITEM_CATEGORIES.HOLIDAY,
		type = CONSTANTS.ITEM_TYPES.ITEM,
		isToy = true,
		method = CONSTANTS.DETECTION_METHODS.USE,
		name = L["Festive Trans-Dimensional Bird Whistle"],
		itemId = 209859,
		items = { 116762 },
		chance = 4,
		holidayEvents = CONSTANTS.HolidayEvents["Feast of Winter Veil"],
		questId = { 6983, 7043 },
		coords = { { m = CONSTANTS.UIMAPIDS.HILLSBRAD_FOOTHILLS, x = 43.6, y = 39.6 } },
	},
}

Spearity.ItemDB.MergeItems(Spearity.ItemDB.toys, holidayEventToysDragonflight)
return holidayEventToysDragonflight
